Require Import Lia.

Definition dividas (a b : nat) := exists c, b = a * c.
Notation "a | b" := (dividas a b) (at level 0).

Definition primo p := forall n, n | p -> n = 1 \/ n = p.

Theorem primas_2 : primo 2.
Proof.
  intros n [c E]. destruct n as [|[|n]]; try lia.
  simpl in E. destruct c; lia.
Qed.

